netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nbp_util.c File Reference
`#include <netdb.h>`
`#include <string.h>`
`#include <signal.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <netatalk/at.h>`
`#include <atalk/nbp.h>`
`#include <atalk/ddp.h>`
`#include <atalk/util.h>`
`#include "nbp_conf.h"`

## Macros
#define | NBPM_OBJ (1<<1)
#define | NBPM_TYPE (1<<2)
#define | NBPM_ZONE (1<<3)

## Functions
int | nbp_parse (char *data, struct nbpnve *nn, int len)
int | nbp_match (struct nbpnve *n1, struct nbpnve *n2, int flags)
int | nbp_name (const char *name, char **objp, char **typep, char **zonep)

## Variables
char | nbp_send [1024]
char | nbp_recv [1024]
unsigned char | nbp_port = 0
unsigned char | nbp_id = 0

## Macro Definition Documentation

## ◆ NBPM_OBJ

#define NBPM_OBJ (1<<1)

## ◆ NBPM_TYPE

#define NBPM_TYPE (1<<2)

## ◆ NBPM_ZONE

#define NBPM_ZONE (1<<3)

## Function Documentation

## ◆ nbp_match()

int nbp_match | ( | struct nbpnve * | n1,
|  | struct nbpnve * | n2,
|  | int | flags )

## ◆ nbp_name()

int nbp_name | ( | const char * | name,
|  | char ** | objp,
|  | char ** | typep,
|  | char ** | zonep )

## ◆ nbp_parse()

int nbp_parse | ( | char * | data,
|  | struct nbpnve * | nn,
|  | int | len )

## Variable Documentation

## ◆ nbp_id

unsigned char nbp_id = 0

## ◆ nbp_port

unsigned char nbp_port = 0

## ◆ nbp_recv

char nbp_recv[1024]

## ◆ nbp_send

char nbp_send[1024]